<?php

namespace Opl\Util;

use \Teknisa\Libs\Util\Configuration;
use \Zeedhi\Framework\DataSource\Manager\Doctrine\NameProvider;

class NameProviderImpl implements NameProvider {

    public function getClassName($tableName) {}

    public function getDataSourceByName($dataSourceName) {
        $dataSourcesSubModels = $this->getDataSources();
        //var_dump(debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS));die;
        $dataSourceDirectory = $dataSourcesSubModels[$dataSourceName];
        return Configuration::factoryFromFileLocation($dataSourceDirectory, $dataSourceName);
    }

    private function getDataSources() {
        $ds = DIRECTORY_SEPARATOR;
    	$oplDataSources = $this->getOplDataSources($ds);
    	return $oplDataSources;
    }

    private function getOplDataSources($ds) {
    	$dataSources = file_get_contents(__DIR__.$ds.'..'.$ds.'..'.$ds.'..'.$ds.'config'.$ds.'dataSourceMapping.json');
        return json_decode($dataSources, true);
    }
}